<?php
/**
 * WeCodeArt Framework
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package		WeCodeArt Framework
 * @subpackage  Gutenberg\Blocks
 * @copyright   Copyright (c) 2023, WeCodeArt Framework
 * @since		5.2.4
 * @version		6.0.0
 */

namespace WeCodeArt\Gutenberg\Blocks\Text;

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Singleton;
use WeCodeArt\Gutenberg\Blocks\Dynamic;

/**
 * Gutenberg Paragraph block.
 */
class Paragraph extends Dynamic {

	use Singleton;

	/**
	 * Block namespace.
	 *
	 * @var string
	 */
	protected $namespace = 'core';

	/**
	 * Block name.
	 *
	 * @var string
	 */
	protected $block_name = 'paragraph';

	/**
	 * Block styles
	 *
	 * @return 	string 	The block styles.
	 */
	public function styles() {
		return "
		p.has-background {
			padding: 0.5rem 0.8rem;
		} 
		p.has-drop-cap.has-background {
			overflow: hidden;
		}
		p.has-drop-cap:not(:focus)::first-letter {
			float: left;
			font-size: 8em;
			font-weight: 100;
			font-style: normal;
			line-height: 0.7;
			text-transform: uppercase;
			margin: 0.05em 0.1em 0 0;
		}
		:where(p.has-text-color:not(.has-link-color)) a {
			color: inherit;
		}
		";
	}
}
