<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Support\Plugins\WooCommerce\Conditional\is_woocommerce_page
 * @copyright   Copyright (c) 2023, WeCodeArt Framework
 * @since 		4.0.1
 * @version		6.0.0
 */

namespace WeCodeArt\Support\Plugins\WooCommerce\Conditional;

defined( 'ABSPATH' ) || exit(); 

use WeCodeArt\Conditional\Interfaces\ConditionalInterface;

/**
 * Conditional that is only met when in the Woo Pages.
 */
class Page implements ConditionalInterface {

	/**
	 * @inheritdoc
	 */
	public function is_met() {
		if ( wecodeart_if( 'is_woocommerce_active' ) ) {
			if ( \is_woocommerce() || \is_cart() || \is_checkout() || \is_account_page() ) {
				return true;
			}
		}
		
		return false;
	}
}